Subject: Re: bug#29187: flymake ruby and perl tests fail on rhel7.4

From: [email-masked] (João Távora)
Date: Tue, 07 Nov 2017 00:45:51 +0000

Dmitry Gutov <[email-masked]> writes:

> On 11/7/17 1:44 AM, Glenn Morris wrote:
>
>> Test ruby-backend condition:
>>      (ert-test-failed
>>       ((should
>>         (eq 'flymake-warning
>>             (face-at-point)))
>>        :form
>>        (eq flymake-warning nil)
>>        :value nil))
>>     FAILED  6/8  ruby-backend
>
> It also fails here via 'make check' (with Ruby 1.9.3) but succeeds
> interactively. So maybe the cause is something different.

I have ruby 2.3 and debian buster/sid (testing). Tests work both
interactively and non-interactively.

Dmitry does that happen with all the tests?  The difference between
interactive and non-interactive shows that you may be experiencing some
variation on the strange behaviour of https://debbugs.gnu.org/17647,
which I try to work around in flymake tests.

Anyway, Glenn and Dmitry can you please show the output of

  ruby -wc test/lisp/progmodes/flymake-resources/test.rb

and

  perl -wc test/lisp/progmodes/flymake-resources/test.pl

on RHEL7.4? I get, respectively

  test/lisp/progmodes/flymake-resources/test.rb:3: warning: statement not reached
  test/lisp/progmodes/flymake-resources/test.rb:5: syntax error, unexpected end-of-input, expecting keyword_end

and

  Unquoted string "unknown" may clash with future reserved word at test/lisp/progmodes/flymake-resources/test.pl line 2.
  syntax error at test/lisp/progmodes/flymake-resources/test.pl line 4, at EOF
  Missing right curly or square bracket at test/lisp/progmodes/flymake-resources/test.pl line 4, at end of line
  test/lisp/progmodes/flymake-resources/test.pl had compilation errors.